Subject: ‘guix git authenticate’pre-push hook unsuitable in some cases

From: Ludovic Courtès <[email-masked]>
Date: Thu, 28 Nov 2024 09:19:30 +0100

As reported by Sébastien¹, the ‘pre-push’ hook installed by ‘guix git
authenticate’ fails when pushing the keyring branch because that branch
is not authenticated.

I’ve seen other situations where it fails, and IIRC one of them is when
pushing a tag.

We should list these corner cases and have ‘guix git authenticate’
install a fixed hook.

Ludo’.

¹ https://lists.gnu.org/archive/html/guix-devel/2024-11/msg00256.html